os = reaper.GetOS()
if "Win" == string.match(os,"(Win)") then 
   package.cpath = package.cpath .. ";"..reaper.GetResourcePath() .."/UserPlugins/?.dll"
else
   package.cpath = package.cpath .. ";"..reaper.GetResourcePath() .."/UserPlugins/?.dylib"
end
require("reaper_AZSTOKE_SILVER")

function Msg(param)
 reaper.ShowConsoleMsg(tostring((param)).."\n")
end

retval,inputList = AZ_SILVER.AZ_GetUserInputList("AZWavList",2,"Path :,Loundness :","D:\\,-21")

if retval then
   _,color = reaper.AZ_GetRandomColor()
   retval,fileList = AZ_SILVER.AZ_GetFilePathList(inputList[1],"wav")
   startPos = 0
   for i, value in pairs(fileList) do
       item = reaper.AZ_InsertMediaTrackIdSecond(0,1,fileList[i],0,startPos)
       _,endPos = reaper.AZ_GetMediaItemEndTime(item)
       _,name = reaper.AZ_GetMediaItemName(item)
       reaper.AZ_SetMediaItemHANDAUTOMER(item,2)
       reaper.AZ_SetMediaItemLoudnessMaxMomentary(item,tonumber(inputList[2]))
       reaper.AZ_AddRegionMarker(0,startPos,endPos,name,i,color)
       startPos = endPos + 1
   end
end
